<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>INMOBILIARIA</title>

    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.9.3/dist/leaflet.css"
     integrity="sha256-kLaT2GOSpHechhsozzB+flnD+zUyjE2LlfWPgU04xyI="
     crossorigin=""/>
    <script src="https://unpkg.com/leaflet@1.9.3/dist/leaflet.js"
     integrity="sha256-WBkoXOwTeyKclOHuWtc+i2uENFpDZ9YPdf5Hf+D7ewM="
     crossorigin=""></script>

     <style>
        #map { height: 50vh; }
     </style>
</head>

<body>
    <form>
        <label for="selectipo">Selecciona el tipo de inmueble:</label>
        <select id="selectipo" name="tipo">
            <option value="none">--Selecciona una opción--</option>
            <option value="piso">Piso</option>
            <option value="casa">Casa</option>
            <option value="restauracion">Restauración</option>
            <option value="comerciales">Comerciales</option>
            <option value="industriales">Industriales</option>
        </select>
    </form>

    <form>

        <div id="comun">

            <label for="referenciacatastral">Referencia catastral: </label>
            <input type="text" id="referenciacatastral" name="referenciacatastral"><br>
            <label for="direccion">Dirección: </label>
            <input type="text" id="direccion" name="direccion"><br>
            <label for="metroscuadrados">Metros cuadrados: </label>
            <input type="text" id="metroscuadrados" name="metroscuadrados"><br>
            <label for="preciobase">Precio base: </label>
            <input type="text" id="preciobase" name="preciobase"><br>
            <label for="foto">Foto: </label>
            <input type="text" id="foto" name="foto"><br>
            <label for="estado">Estado: </label>
            <input type="text" id="estado" name="estado"><br>
            <label for="añoconstruccion">Año de construcción: </label>
            <input type="text" id="añoconstruccion" name="añoconstruccion"><br>
            <label for="coordenadasgeograficas">Coordenadas geográficas: </label>
            <input type="text" id="coordenadasgeograficas" name="coordenadasgeograficas"><br>
        </div>

        <div id="piso">

            <label for="numbañospiso">Número de baños: </label>
            <input type="text" id="numbañospiso"><br>
            <label for="numhabspiso">Número de habitaciones: </label>
            <input type="text" id="numhabspiso"><br>
            <label for="planta">Planta: </label>
            <input type="text" id="planta"><br>
            <label for="asc">Ascensor: </label>
            <input type="radio" name="asc" value="true">Sí
            <input type="radio" name="asc" value="false">No <br>
            <label for="metrosterraza">Metros cuadrados de la terraza: </label>
            <input type="text" id="metrosterraza">

        </div>

        <div id="casa">
            <label for="numbañoscasa">Número de baños: </label>
            <input type="text" id="numbañoscasa"><br>
            <label for="numhabscasa">Número de habitaciones: </label>
            <input type="text" id="numhabscasa"><br>
            <label for="tipocasa">Tipo de casa: </label>
            <input type="text" id="tipocasa"><br>
            <label for="metrosjardin">Metros cuadrados del jardín: </label>
            <input type="text" id="metrosjardin"><br>
            <label for="piscina">Piscina: </label>
            <input type="radio" name="piscina" value="true">Sí
            <input type="radio" name="piscina" value="false">No<br>
        </div>

        <div id="restauracion">
            <label for="mobiliario">Mobiliario: </label>
            <input type="radio" name="mobiliario" value="true">Si
            <input type="radio" name="mobiliario" value="false">No<br>
            <label for="cafetera">Cafetera: </label>
            <input type="radio" name="cafetera" value="true">Sí
            <input type="radio" name="cafetera" value="false">No<br>
            <label for="extractor">Extractor de humo: </label>
            <input type="radio" name="extractor" value="true">Sí
            <input type="radio" name="extractor" value="false">No
        </div>

        <div id="comerciales">
            <label for="adaptado">Adaptado para minusválidos: </label>
            <input type="radio" name="adaptado" value="true">Sí
            <input type="radio" name="adaptado" value="false">No
        </div>

        <div id="industriales">
            <label for="suelourbano">Suelo urbano: </label>
            <input type="radio" name="suelourbano" value="true">Sí
            <input type="radio" name="suelourbano" value="false">No
            <label for="cargadescarga">Puerto de carga y descarga: </label>
            <input type="radio" name="cargadescarga" value="true">Sí
            <input type="radio" name="cargadescarga" value="false">No<br>
        </div>

        <input id="Envia" type="submit">

    </form>
    <form id="locate">
        <input type="text" name="address" id="address" placeholder="address">
        <br>
        <input type="text" name="latitude" id="latitude" placeholder="latitude">
        <br>
        <input type="text" name="longitude" id="longitude" placeholder="longitude">
        <br>
        <input type="submit" name="" id="" value="Localizar">
    </form>
    <div id="map"></div>

    <script src="pruebas.js"></script>
</body>

</html>